Skip to main content
POST
/
v1
/
pix-accounts
/
{id}
/
webhooks
Registra endpoint de webhook
curl --request POST \
  --url https://stater.stric.io/v1/pix-accounts/{id}/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "pix.in.received"
  ],
  "authToken": "<string>"
}
'
{
  "id": "<string>",
  "pixAccountId": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true,
  "authTokenPreview": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "authToken": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.stric.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key da plataforma. Envie no header Authorization: Bearer <key>.

Path Parameters

id
string
required
Required string length: 10 - 64

Body

application/json
url
string
required
Required string length: 8 - 2048
events
enum<string>[]
required

Strings exatamente iguais às disponíveis na plataforma; use uma ou várias conforme sua necessidade.

Required array length: 1 - 50 elements
Available options:
pix.in.received,
pix.payout.succeeded,
pix.payout.failed,
pix.payout.cancelled,
pix.payout.refunded,
pix.charge.paid,
pix.charge.expired,
pix.charge.refunded
authToken
Required string length: 1 - 500

Response

OK

id
string
required
pixAccountId
string | null
required
url
string
required
events
string[]
required
enabled
boolean
required
authTokenPreview
string | null
required
createdAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
authToken
string | null
{key}
any